## org.eclipse.emf.importer.rose.parser
Class RoseWriter

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseComponent
          org.eclipse.emf.importer.rose.parser.RoseWriter

    public class RoseWriter

extends RoseComponent

Creates a Rose file from Rose Tree.

Field Summary
`protected java.io.BufferedWriter` `buffWriter`
`protected int` `justIndex`
`protected int` `lower`
`protected RoseNode` `modelTree`
`protected int` `oldValue`
`static java.lang.String` `PROGRESS`
`protected int` `progressIncrement`
`protected int` `upper`
`protected RoseNode` `versionTree`

Fields inherited from class org.eclipse.emf.importer.rose.parser.RoseComponent
`listeners`

Constructor Summary
`RoseWriter(java.lang.String fileName, RoseNode versionTree, RoseNode modelTree)`

Method Summary
`int` `getLower()`
`int` `getUpper()`
`void` `setLower(int lower)`
`void` `setProgressIncrement(int progressIncrement)`
`void` `setUpper(int upper)`
`void` `write()`
`void` `writeObject(RoseNode tree)`
`void` `writePair(RoseNode node)`
`void` `writeValue(RoseNode tree)`

Methods inherited from class org.eclipse.emf.importer.rose.parser.RoseComponent
`addPropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROGRESS

    public static final java.lang.String PROGRESS

See Also:
  Constant Field Values

### buffWriter

    protected java.io.BufferedWriter buffWriter

### versionTree

    protected RoseNode versionTree

### modelTree

    protected RoseNode modelTree

### justIndex

    protected int justIndex

### lower

    protected int lower

### upper

    protected int upper

### oldValue

    protected int oldValue

### progressIncrement

    protected int progressIncrement

Constructor Detail

### RoseWriter

    public RoseWriter(java.lang.String fileName,
                      RoseNode versionTree,
                      RoseNode modelTree)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setProgressIncrement

    public void setProgressIncrement(int progressIncrement)

### setLower

    public void setLower(int lower)

### getLower

    public int getLower()

### setUpper

    public void setUpper(int upper)

### getUpper

    public int getUpper()

### write

    public void write()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeObject

    public void writeObject(RoseNode tree)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeValue

    public void writeValue(RoseNode tree)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writePair

    public void writePair(RoseNode node)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.